<section>
    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <h2>{% t contact.title %}</h2>
                <h5>{% t contact.subtitle %}</h5>
                <p>{% t contact.text %}</p>
            </div>
            <div class="col-lg-8">
                <form id="contactform" action="https://formspree.io/f/xoqyvkao" method="POST">
                    <div class="row">
                        <div class="col-xlg-6 form-group">
                          <input class="form-control" id="name" name="name" placeholder="Name" type="text" required>
                        </div>
                        <div class="col-xlg-6 form-group">
                          <input class="form-control" id="email" name="_replyto" placeholder="Email" type="email" required>
                        </div>
                        <div class="col-xlg-12 form-group">
                          <textarea class="form-control" id="comments" name="message" placeholder="Message" rows="5"></textarea><br>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-12 form-group">
                          </label><input type="checkbox" name="acceptance" value="1" required><p>{% t contact.consent %}</p></label>
                          <button class="btn btn-success pull-right">{% t contact.submit %}</button>
                        </div>
                      </div>
                    <input type="hidden" name="_subject" value="Helm-Nagel.com Website contact" />
                    <input type="hidden" name="_next" value="/" />
                    <input type="text" name="_gotcha" style="display:none" />
                </form>
              <h2 class="text-primary" id="my-form-status"></h2>
            </div>
        </div>
    </div>
</section>


<!-- Place this script at the end of the body tag -->

<script  type="text/javascript">
    var form = document.getElementById("contactform");

    async function handleSubmit(event) {
      event.preventDefault();
      var status = document.getElementById("my-form-status");
      var data = new FormData(event.target);
      fetch(event.target.action, {
        method: form.method,
        body: data,
        headers: {
            'Accept': 'application/json'
        }
      }).then(response => {
        status.innerHTML = "{% t contact.success %}";
        form.innerHTML = "";
      }).catch(error => {
        status.innerHTML = "{% t contact.error %}"
      });
    }
    form.addEventListener("submit", handleSubmit)

</script>
